Skip to main content
`Ctrl`+`K`

# TrackWriter

## CSV files

static TrackWriter.writeToFile(track, path, id_E=-1, id_N=-1, id_U=-1, id_T=-1, separator=',', h=0, af_names=[])

  The method assumes a single track in file. <br/>

  If only path is provided as input parameters: file format is infered from extension according to file track_file_format.<br/>

  If only path and a string s parameters are provied, the name of file format is set equal to s.<br/>

  Parameters

    - track – track

    - path – path to write information of the track

    - id_E – index (starts from 0) of column containing coordinate X (for ECEF), longitude (GEO) or E (ENU)

    - id_N – index (starts from 0) of column containing coordinate Y (for ECEF), latitude (GEO) or N (ENU)

    - id_U – index (starts from 0) of column containing Z (for ECEF), height or altitude (GEO/ENU)

    - id_T – index (starts from 0) of column containing timestamp (in seconds or in time_fmt format)

    - separator – separating characters (can be multiple characters). Can be c (comma), b (blankspace), s (semi-column)

    - h – display heading (1) or not (0)

    - af_names –

## GPX files

static TrackWriter.writeToGpx(tracks, path, af=False, oneFile=True)

  Transforms track into Gpx string

  Todo: type: Literal[“trk”, “rte”]=”trk”

  ### Parameters

  tracks Track or TrackCollection

    track or collection to write in GPX

  path str

    file or directory to write (gpx returned in standard output if empty)

  af

    AF exported in gpx file

  oneFile bool

    one file per track (default case) or one file for all tracks